## org.apache.poi.ss.formula.constant
Class ErrorConstant

    java.lang.Object
      org.apache.poi.ss.formula.constant.ErrorConstant

    public class ErrorConstant

extends java.lang.Object

Represents a constant error code value as encoded in a constant values array.

This class is a type-safe wrapper for a 16-bit int value performing a similar job to `ErrorEval`.

Author:
  Josh Micich

Method Summary
`int` `getErrorCode()`
`java.lang.String` `getText()`
`java.lang.String` `toString()`
`static ErrorConstant` `valueOf(int errorCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getErrorCode

    public int getErrorCode()

### getText

    public java.lang.String getText()

### valueOf

    public static ErrorConstant valueOf(int errorCode)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.